/* 
 * File:   commands.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Commands-related functions.
 */

#ifndef _COMMANDS_H
#define	_COMMANDS_H

#include "typedefs.h"
#include "errorcodes.h"

// error definitions
#define ERR_COMMANDS_UNDEFINED      ((err_t)(ERR_BASE_COMMANDS+0))  // command code is undefined

command_index_t commands_get_count(void);
err_t commands_retrieve_info_bycode(command_code_t _code, command_info_t **_pp_cmdinfo);

#endif // _COMMANDS_H

