/* 
 * File:   hardware.h
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Hardware-related definitions.
 * 
 */

#ifndef __HARDWARE_H
#define	__HARDWARE_H

#include "mcc_generated_files/mcc.h"

// serial port macros
#define serialport_dataready EUSART1_DataReady
#define serialport_read EUSART1_Read
#define serialport_send EUSART1_Write

// ADC macros
#define adc_conversion_done     ADC_IsConversionDone
#define adc_getvalue            ADC_GetConversionResult
#define adc_select_channel      ADC_SelectChannel
#define adc_start_conversion    ADC_StartConversion

#endif // __HARDWARE_H

