/*
 * File:   irqs.c
 * Author: Carlo Alessandro Nicolau @ INFN
 * 
 * Firmware for BPD board.
 * Interrupt service routines.
 * 
 */

#ifndef __IRQS_H
#define __IRQS_H

// "slow" timer interrupt service routine
void irq_timer_slow(void);

// "fast" timer interrupt service routine
void irq_timer_fast(void);

#endif // __IRQS_H